# Normal Helm Chart

Install:
```
helm install normal/ --generate-name --create-namespace --namespace red
```

Result:
```
lionelj@lionel-EST-Precision:~/$ helm install normal/ --generate-name --create-namespace --namespace red
Error: INSTALLATION FAILED: admission webhook "vattractor.kb.io" denied the request: unable to find the trench in label, Attractor cannot be created
```

# Ordered Helm Chart - 1 - pre-install hook

Install:
```
helm install ordered-1/ --generate-name --create-namespace --namespace red
```

Example:
```
---
apiVersion: meridio.nordix.org/v1
kind: Trench
metadata:
  name: trench-a
  namespace: red
  annotations:
    "helm.sh/hook": pre-install
spec:
  ip-family: dualstack
```

# Ordered Helm Chart - 2 - List

Install:
```
helm install ordered-2/ --generate-name --create-namespace --namespace red
```

Example:
```
apiVersion: v1
kind: List
items:
- apiVersion: meridio.nordix.org/v1
  kind: Trench
  ...
```

# Helm

```
lionelj@lionel-EST-Precision:~/$ helm version
version.BuildInfo{Version:"v3.9.3", GitCommit:"414ff28d4029ae8c8b05d62aa06c7fe3dee2bc58", GitTreeState:"clean", GoVersion:"go1.17.13"}
```
